<template>
  <header
    v-if="!isHeaderShow"
    class="fixed z-[21] w-full mb-10 border-b bg-primary"
  >
    <div class="flex items-center justify-between px-4 h-[60px]">
      <div class="logo w-[25px] h-[40px]">
        <nuxt-link to="/">
          <img
            class="object-contain w-full h-full"
            :src="logo.ImagePath"
            alt="Light Theme"
          />
        </nuxt-link>
      </div>
      <div v-if="!auth" class="flex">
        <nuxt-link to="/login" class="h-7">
          <el-button class="btn-primary">{{ $t("capital_login") }}</el-button>
        </nuxt-link>
        <nuxt-link v-if="!register.IsHidden" to="/register" class="ml-3 h-7" :id="ID.SIGNUP">
          <el-button class="btn-default pointer-events-none">{{
            $t("joinnow")
          }}</el-button>
        </nuxt-link>
      </div>
      <div v-if="auth" class="flex flex-col items-start">
        <span
          class="uppercase text-xs leading-[18px] text-[#707585] p-0 text-left mb-1"
          >{{ $t("wallet") }}</span
        >
        <div class="flex items-center">
          <span
            class="text-[16px] font-semibold leading-5 text-[var(--title-font-color)] opacity-100 p-0"
          >
            {{ currency.toUpperCase() }} {{ balanceUser }}
          </span>
          <button
            class="block text-[4vw] text-[var(--title-font-color)] ml-2"
            @click="getBalance"
          >
            <icons class="block w-[13.7px] h-4" :is-refresh="true" />
          </button>
        </div>
      </div>
    </div>
  </header>
  <div v-if="!isHeaderShow" class="h-[60px]"></div>
</template>

<script lang="ts">
import themePropertyHelper from "@/utils/themePropertyHelper";
import { IThemePropertiesFromApi } from "@/models/companyThemePropertiesRespone";
import commonHelper from "@/utils/commonHelper";
import useBalanceInfo from "@/composables/useBalanceInfo";
const shownRoute = [
  "deposit",
  "withdrawal",
  "betHistory",
  "account",
  "refferal",
  "transactionHistory",
];

export default defineComponent({
  name: "MobileHeader",
  props: {
    auth: {
      type: Boolean,
      default: false,
    },
    themeProperties: {
      type: Array as PropType<Array<IThemePropertiesFromApi>>,
      required: true,
    },
  },
  setup(props) {
    const logo = computed(
      (): IThemePropertiesFromApi =>
        themePropertyHelper.getSingleThemeProperty(
          props.themeProperties,
          "mini_logo"
        )
    );
    const register = computed(() =>
      themePropertyHelper.getSingleThemeProperty(
        props.themeProperties,
        "register"
      )
    );
    const { getAssetImage } = commonHelper;
    const { isLoading, balanceUser, getBalance, currency } = useBalanceInfo();
    const route = useRoute();
    const isHeaderShow = computed(() =>
      shownRoute.includes(route.matched[0].name as string)
    );
    return {
      logo,
      getAssetImage,
      isLoading,
      balanceUser,
      getBalance,
      currency,
      isHeaderShow,
      register,
    };
  },
});
</script>
<style lang="scss" scoped>
#notificationIcon:after {
  content: "";
  width: 1.5vw;
  height: 1.5vw;
  position: absolute;
  border-radius: 50%;
  display: block;
  right: 0;
  top: 0;
  background-color: red;
  z-index: 4;
}
:deep(button.el-button) {
  height: 28px;
}
</style>
